e(fx)clipse

Add this URL to your Eclipse Installation to reach this solution's update site.

2022-06 (4.24), 2022-03 (4.23), 2022-09 (4.25), 2022-12 (4.26), 2023-03 (4.27), 2023-06 (4.28), 2023-09 (4.29), 2023-12 (4.30), 2024-03 (4.31), 2024-06 (4.32)

https://download.eclipse.org/efxclipse/updates-released/3.8.0/site

Learn more...
Solution Description

e(fx)clipse is a set of plugins who make developing JavaFX 2 application with your favorite IDE an excellent experience. It provides wizards, specialized CSS and XML editors needed for JavaFX usage of CSS and XML. To get immediate feedback it integrates a live preview of your UI while editing. If you are not happy with using XML for your UI design a small JSON-Like DSL is shipped allowing you define UIs without the XML noise.

Tags: javafx

Additional Details

Eclipse Versions: 2022-06 (4.24), 2022-03 (4.23), 2022-09 (4.25), 2022-12 (4.26), 2023-03 (4.27), 2023-06 (4.28), 2023-09 (4.29), 2023-12 (4.30), 2024-03 (4.31), 2024-06 (4.32)

Platform Support: Windows, Mac, Linux/GTK

Organization Name: BestSolution.at

Development Status: Production/Stable

Date Created: Saturday, July 14, 2012 - 04:40

License: EPL

Date Updated: Friday, October 6, 2023 - 10:49

Submitted by: Thomas Schindl

Date Ranking Installs Clickthroughs
June 2024 8/618 3532 13
May 2024 7/682 10794 166
April 2024 7/687 11121 16
March 2024 8/694 9906 28
February 2024 9/687 7523 293
January 2024 9/691 8229 44
December 2023 7/671 9365 15
November 2023 7/686 10594 19
October 2023 9/673 8863 23
September 2023 9/663 7378 16
August 2023 13/673 5808 12
July 2023 11/668 6365 12
View Data for all Listings

Marketplace Drag to Install Button

By adding the following code below to your website you will be able to add an install button for e(fx)clipse.

HTML Code:

Markdown Syntax:

Output:

Drag to your running Eclipse* workspace. *Requires Eclipse Marketplace Client

Reviews Add new review

As detailed in stackoverflow it produces an Unhandled event loop exception (org.eclipse.ui) when trying to create a JavaFX main class.

Reason is Unhandled event loop exception java.lang.NoClassDefFoundError: org/eclipse/jface/databinding/swt/WidgetProperties

Eclipse jee 2023-03 M2 has the same problem.

With Eclipse jee 2022-09 all works fine

In reply to by Walter Taus

I had the same issue. I am using the release eclipse 2022-12 and I can't create a project using the option "New FXML Document". The message bellow appears:

"An error has occurred. See error log for more details.

org/eclipse/jface/databinding/swt/WidgetProperties"

I'll try your suggestion about installing a eclipse 2022-09 release. Thanks Eclipse team and Walter Taus!

I tryed to run the package with an OSGI project (Eclipse Kura), there was no build errors but when I run it I got the : java.lang.NoClassDefFoundError: javafx/collections/MapChangeListener
Anyone can help me how to solve this ?

An error occurred during the org.eclipse.equinox.internal.p2.engine.phases.CheckTrust phase.
session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.CheckTrust, operand=, action=).
Error reading signed content.
/home/user/.eclipse/org.eclipse.platform_793567567_linux_gtk_x86_64/plugins/org.apache.xerces_2.9.0.v201101211617.jar (No such file or directory)

hours later still having problems with install using no CPU and NO Network but making zero progress for hours, FRUSTRATING Why my Customers want this EXPERIENCE ?

Fedora 23
Eclipse 4.5 from Fedora repo's

Thanks for this! I hope we can get some upgraded refactoring, supporting fx:id name changes and fxml handler function renaming support some time.

I used the above "Install" button to install e(fx)clipse.
Afterwards, tried the Sample e4 Media Application.
It does not build. The following Bundles are missing:
Bundle 'org.eclipse.fx.core.databinding' cannot be resolved
Bundle 'org.eclipse.fx.ui.databinding' cannot be resolved
Bundle 'org.eclipse.fx.ui.di' cannot be resolved
Bundle 'org.eclipse.fx.ui.services' cannot be resolved
Bundle 'org.eclipse.fx.ui.theme' cannot be resolved
Bundle 'org.eclipse.fx.ui.workbench.fx' cannot be resolved